#!/bin/bash

choice=$(echo -e "⏻ Shutdown\n Reboot\n Lock\n Logout\n Suspend\n Hibernate\nCancel" | wofi --dmenu --width=250 --height=300 --prompt="Power Menu")

case "$choice" in
  *Shutdown) systemctl poweroff ;;
  *Reboot) systemctl reboot ;;
  *Lock) hyprlock ;;
  *Logout) hyprctl dispatch exit ;;
  *Suspend) systemctl suspend ;;
  *Hibernate) systemctl hibernate ;;
  *) ;;
esac
